package org.slf4j.impl;

import org.slf4j.spi.MDCAdapter;

public class StaticMDCBinder
{
    public static final StaticMDCBinder SINGLETON = new StaticMDCBinder();

    private static final MDCAdapter adapter = new MufferoMDCAdapter();
    private static final String adapterClassName = MufferoMDCAdapter.class.getName();

    private StaticMDCBinder(){}

    public MDCAdapter getMDCA()
    {
        return adapter;
    }

    public String getMDCAdapterClassStr()
    {
        return adapterClassName;
    }
}
